Subject: Re: bug#17655: new snapshot available: grep-2.19.13-ecf36

From: Paul Eggert <[email-masked]>
Date: Sat, 31 May 2014 14:26:26 -0700

Thanks.  I tried this snapshot on a few platforms (not as many as last 
time) with the same results, so it's looking good.

The failures on AIX 7.1 (same as last time) annoyed me enough that I 
installed what I hope is a fix for them as gnulib commit 
93ce02b4fa01a3c1c194d91f8fd09e1efe04537c.  I don't think these AIX bugs 
need to slow down the grep release.  The only affected flag that grep 
uses is O_NOFOLLOW, and I think the bug merely causes undefined behavior 
that happens to behave as if O_NOFOLLOW is not defined, which is all 
that the fix does anyway.  (Luckily for grep users on AIX, the 
O_NOFOLLOW is used only to avoid a rare race condition.)

I can't help but be curious why the AIX engineers decided to define 
O_NOFOLLOW to a value outside the 'int' range.  Perhaps they had one 
beer too many?